Initscript migration to systemd: triggerun called on downgrade

Bill Nottingham notting at redhat.com
Thu Sep 1 19:08:02 UTC 2011


Petr Pisar (ppisar at redhat.com) said: 
> I'm migrating quota_nld service (provided by quota_nld subpackage of
> quota spec) to systemd.
> 
> Offical howto <https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Packages_migrating_to_a_systemd_unit_file_from_a_SysV_initscript> recommends:
> 
> %triggerun -- httpd < 1.0-2
> # Save the current service runlevel info
> [...]
> 
> where `httpd < 1.0-2' are httpd packages older then 1.0-2 under
> uninstallation and `1.0-2' is first httpd version with systemd support.
> 
> I modifed quota accoding this how-to, build a package (everything
> locally) and I play with upgrades/downgrades between current F17 version
> and this new one.
> 
> Everything works except the triggerun script is called even if doing
> downgrade. Is it intentional and I do not understand triggers, or is it
> a bug in RPM?

The above triggerun would be called on any uninstallation of httpd less
than 1.0-2, whether you're upgrading or downgrading.

Bill


More information about the devel mailing list